{
	"root": {
		"linksReferences": [
			"reset-password-by-email",
			"login"
		]
	},
	"reset-password-by-email": {
		"method": "POST",
		"URL": "http://localhost:8080/api/noauth/resetPasswordByEmail",
		"headers": "Content-type: application/json",
		"data": "{\"email\":\"sysadmin@thingsboard.org\"}",
		"linksReferences": [
			"*root"
		]
	},
	"login": {
		"method": "POST",
		"URL": "http://localhost:8080/api/auth/login",
		"data": "{\"username\":\"sysadmin@thingsboard.org\",\"password\":\"sysadmin\"}",
		"headers": "Content-type: application/json",
		"storeFields": [
			"token"
		],
		"linksReferences": [
			"*root",
			"get-user",
			"list-tenants",
			"settings-general",
			"list-widgets-bundles"
		]
	},
	"auth-user": {
		"method": "GET",
		"URL": "http://localhost:8080/api/auth/user",
		"headers": "X-Authorization: Bearer #{token}",
		"storeFields": [
			"id#id",
			"customerId#id",
			"tenantId#id"
		]
	},
	"get-user": {
		"method": "GET",
		"URL": "http://localhost:8080/api/user/#{id#id}",
		"headers": "X-Authorization: Bearer #{token}",
		"requirementsReferences": [
			"auth-user"
		],
		"linksReferences": [
			"*login",
			"change-password",
			"create-user"
		]
	},
	"change-password": {
		"method": "POST",
		"URL": "http://localhost:8080/api/auth/changePassword",
		"headers": "X-Authorization: Bearer #{token}",
		"data": "{\"currentPassword\":\"sysadmin\",\"newPassword\":\"sysadmin\"}",
		"linksReferences": [
			"*get-user"
		]
	},
	"create-user": {
		"method": "POST",
		"URL": "http://localhost:8080/api/user",
		"headers": "X-Authorization: Bearer #{token}",
		"data": "{\"id\":{\"entityType\":\"USER\",\"id\":\"#{id#id}\"},\"createdTime\":1551174949190,\"additionalInfo\":{\"lang\":\"en_US\"},\"tenantId\":{\"entityType\":\"TENANT\",\"id\":\"#{tenantId#id}\"},\"customerId\":{\"entityType\":\"CUSTOMER\",\"id\":\"#customerId#id\"},\"email\":\"sysadmin@thingsboard.org\",\"authority\":\"SYS_ADMIN\",\"firstName\":\"${1-99}\",\"lastName\":\"${1-99}\",\"name\":\"sysadmin@thingsboard.org\"}",
		"requirementsReferences": [
			"auth-user"
		],
		"linksReferences": [
			"*get-user"
		]
	},
	"list-tenants": {
		"method": "GET",
		"URL": "http://localhost:8080/api/tenants?limit=${1-99}",
		"headers": "X-Authorization: Bearer #{token}",
		"storeFields": [
			"data[0]id#id"
		],
		"linksReferences": [
			"*login",
			"create-tenant",
			"get-tenant",
			"delete-tenant"
		]
	},
	"settings-general": {
		"method": "GET",
		"URL": "http://localhost:8080/api/admin/settings/general",
		"headers": "X-Authorization: Bearer #{token}",
		"linksReferences": [
			"*login",
			"settings-mail"
		]
	},
	"settings-mail": {
		"method": "GET",
		"URL": "http://localhost:8080/api/admin/settings/mail",
		"headers": "X-Authorization: Bearer #{token}",
		"linksReferences": [
			"*login",
			"update-url",
			"test-mail"
		]
	},
	"list-widgets-bundles": {
		"method": "GET",
		"URL": "http://localhost:8080/api/widgetsBundles",
		"headers": "X-Authorization: Bearer #{token}",
		"storeFields": [
			"widgetsBundles@[0]id#id"
		],
		"linksReferences": [
			"*login",
			"create-widget-bundle",
			"delete-widget-bundle",
			"get-widget-bundle"
		]
	},
	"create-tenant": {
		"method": "POST",
		"URL": "http://localhost:8080/api/tenant",
		"headers": "X-Authorization: Bearer #{token}",
		"data": "{\"title\":\"a\",\"additionalInfo\":{\"description\":\"${1-99}\"},\"country\":\"Afghanistan\",\"city\":\"a\",\"state\":\"a\",\"zip\":\"111111\",\"address\":\"aaaa\",\"address2\":\"aa\",\"phone\":\"12345\",\"email\":\"${1-99}@tenant.org\"}",
		"linksReferences": [
			"*login"
		]
	},
	"get-tenant": {
		"method": "GET",
		"URL": "http://localhost:8080/api/tenant/#{data[0]id#id}/users?limit=${1-99}",
		"headers": "X-Authorization: Bearer #{token}",
		"requirementsReferences": [
			"list-tenants"
		],
		"linksReferences": [
			"*login"
		]
	},
	"delete-tenant": {
		"method": "DELETE",
		"URL": "http://localhost:8080/api/tenant/#{data[0]id#id}",
		"headers": "X-Authorization: Bearer #{token}",
		"requirementsReferences": [
			"list-tenants"
		],
		"linksReferences": [
			"*login"
		]
	},
	"create-widget-bundle": {
		"method": "POST",
		"URL": "http://localhost:8080/api/widgetsBundle",
		"headers": "X-Authorization: Bearer #{token}",
		"data": "{\"id\":{\"id\":\"#{widgetsBundles@id#id}\"},\"createdTime\":1551376660105,\"tenantId\":{\"entityType\":\"TENANT\",\"id\":\"#{data[0]id#id}\"},\"alias\":\"digital_gauges\",\"title\":\"${1-99}\",\"image\":null,\"index\":4}",
		"requirementsReferences": [
			"list-widgets-bundles",
			"list-tenants"
		],
		"linksReferences": [
			"*login"
		]
	},
	"get-widget-bundle": {
		"method": "GET",
		"URL": "http://localhost:8080/api/widgetsBundle/#{widgetsBundles@[0]id#id}",
		"headers": "X-Authorization: Bearer #{token}",
		"requirementsReferences": [
			"list-widgets-bundles"
		],
		"linksReferences": [
			"*login"
		]
	},
	"delete-widget-bundle": {
		"method": "DELETE",
		"URL": "http://localhost:8080/api/widgetsBundle/#{widgetsBundles@[0]id#id}",
		"headers": "X-Authorization: Bearer #{token}",
		"requirementsReferences": [
			"list-widgets-bundles"
		],
		"linksReferences": [
			"*login"
		]
	},
	"update-url": {
		"URL": "http://localhost:8080/api/admin/settings",
		"method": "POST",
		"headers": "X-Authorization: Bearer #{token}",
		"data": "{\"id\":{\"id\":\"b1f98a30-39ac-11e9-807f-638ef36be636\"},\"createdTime\":15511749494${1-99},\"key\":\"mail\",\"jsonValue\":{\"mailFrom\":\"ThingsBoard <sysadmin@localhost.localdomain>\",\"smtpProtocol\":\"smtp\",\"smtpHost\":\"localhost\",\"smtpPort\":\"25\",\"timeout\":\"10${1-99}\",\"enableTls\":\"false\",\"username\":\"${1-99}\",\"password\":\"${1-99}\"}}",
		"linksReferences": [
			"*login"
		]
	},
	"test-mail": {
		"URL": "http://localhost:8080/api/admin/settings/testMail",
		"method": "POST",
		"headers": "X-Authorization: Bearer #{token}",
		"data": "{\"id\":{\"id\":\"b1f98a30-39ac-11e9-807f-638ef36be636\"},\"createdTime\":15511749494${1-99},\"key\":\"mail\",\"jsonValue\":{\"mailFrom\":\"ThingsBoard <sysadmin@localhost.localdomain>\",\"smtpProtocol\":\"smtp\",\"smtpHost\":\"localhost\",\"smtpPort\":\"25\",\"timeout\":\"10${1-99}\",\"enableTls\":\"false\",\"username\":\"${1-99}\",\"password\":\"${1-99}\"}}",
		"linksReferences": [
			"*login"
		]
	}
}